from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class AcknowledgementDetailType(GenericTypeCode):
    """
    v3.AcknowledgementDetailType
    From: http://terminology.hl7.org/ValueSet/v3-AcknowledgementDetailType in v3-codesystems.xml
         A code identifying the specific message to be provided.  Discussion:
    A textual value may be specified as the print name, or for non-coded messages,
    as the original text.  Examples:
    'Required attribute xxx is missing', 'System will be unavailable March 19 from
    0100 to 0300'
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/ValueSet/v3-AcknowledgementDetailType
    """
    codeset: FhirUri = (
        "http://terminology.hl7.org/ValueSet/v3-AcknowledgementDetailType"
    )
