from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ActClassClinicalDocument(GenericTypeCode):
    """
    v3.ActClassClinicalDocument
    From: http://terminology.hl7.org/ValueSet/v3-ActClassClinicalDocument in v3-codesystems.xml
         A clinical document is a documentation of clinical observations and services,
    with the following characteristics: (1) Persistence - A clinical document
    continues to exist in an unaltered state, for a time period defined by local
    and regulatory requirements; (2) Stewardship - A clinical document is
    maintained by a person or organization entrusted with its care; (3) Potential
    for authentication - A clinical document is an assemblage of information that
    is intended to be legally authenticated; (4) Wholeness - Authentication of a
    clinical document applies to the whole and does not apply to portions of the
    document without the full context of the document; (5) Human readability - A
    clinical document is human readable."
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/ValueSet/v3-ActClassClinicalDocument
    """
    codeset: FhirUri = "http://terminology.hl7.org/ValueSet/v3-ActClassClinicalDocument"
