from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ActClassInvestigation(GenericTypeCode):
    """
    v3.ActClassInvestigation
    From: http://terminology.hl7.org/ValueSet/v3-ActClassInvestigation in v3-codesystems.xml
         An formalized inquiry into the circumstances surrounding a particular
    unplanned event or potential event for the purposes of identifying possible
    causes and contributing factors for the event. This investigation could be
    conducted at a local institutional level or at the level of a local or
    national government.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/ValueSet/v3-ActClassInvestigation
    """
    codeset: FhirUri = "http://terminology.hl7.org/ValueSet/v3-ActClassInvestigation"
