from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ActClassProcedure(GenericTypeCode):
    """
    v3.ActClassProcedure
    From: http://terminology.hl7.org/ValueSet/v3-ActClassProcedure in v3-codesystems.xml
         An Act whose immediate and primary outcome (post-condition) is the alteration
    of the physical condition of the subject.  Examples:
    : Procedures may involve the disruption of some body surface (e.g. an incision
    in a surgical procedure), but they also include conservative procedures such
    as reduction of a luxated join, chiropractic treatment, massage,
    balneotherapy, acupuncture, shiatsu, etc. Outside of clinical medicine,
    procedures may be such things as alteration of environments (e.g.
    straightening rivers, draining swamps, building dams) or the repair or change
    of machinery etc.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/ValueSet/v3-ActClassProcedure
    """
    codeset: FhirUri = "http://terminology.hl7.org/ValueSet/v3-ActClassProcedure"
