from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ActClassSupply(GenericTypeCode):
    """
    v3.ActClassSupply
    From: http://terminology.hl7.org/ValueSet/v3-ActClassSupply in v3-codesystems.xml
         Supply orders and deliveries are simple Acts that focus on the delivered
    product. The product is associated with the Supply Act via
    Participation.typeCode="product". With general Supply Acts, the precise
    identification of the Material (manufacturer, serial numbers, etc.) is
    important.  Most of the detailed information about the Supply should be
    represented using the Material class.  If delivery needs to be scheduled,
    tracked, and billed separately, one can associate a Transportation Act with
    the Supply Act.  Pharmacy dispense services are represented as Supply Acts,
    associated with a SubstanceAdministration  Act. The SubstanceAdministration
    class represents the administration of medication, while dispensing is supply.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/ValueSet/v3-ActClassSupply
    """
    codeset: FhirUri = "http://terminology.hl7.org/ValueSet/v3-ActClassSupply"
