from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ActCode(GenericTypeCode):
    """
    v3.ActCode
    From: http://terminology.hl7.org/ValueSet/v3-ActCode in v3-codesystems.xml
         A code specifying the particular kind of Act that the Act-instance represents
    within its class.  Constraints:
    The kind of Act (e.g. physical examination, serum potassium, inpatient
    encounter, charge financial transaction, etc.) is specified with a code from
    one of several, typically external, coding systems.  The coding system will
    depend on the class of Act, such as LOINC for observations, etc. Conceptually,
    the Act.code must be a specialization of the Act.classCode. This is why the
    structure of ActClass domain should be reflected in the superstructure of the
    ActCode domain and then individual codes or externally referenced vocabularies
    subordinated under these domains that reflect the ActClass structure.
    Act.classCode and Act.code are not modifiers of each other but the Act.code
    concept should really imply the Act.classCode concept. For a negative example,
    it is not appropriate to use an Act.code "potassium" together with and
    Act.classCode for "laboratory observation" to somehow mean "potassium
    laboratory observation" and then use the same Act.code for "potassium"
    together with Act.classCode for "medication" to mean "substitution of
    potassium". This mutually modifying use of Act.code and Act.classCode is not
    permitted.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/ValueSet/v3-ActCode
    """
    codeset: FhirUri = "http://terminology.hl7.org/ValueSet/v3-ActCode"
