from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ActCoverageTypeCode(GenericTypeCode):
    """
    v3.ActCoverageTypeCode
    From: http://terminology.hl7.org/ValueSet/v3-ActCoverageTypeCode in v3-codesystems.xml
          Definition:
    Set of codes indicating the type of insurance policy or program that pays for
    the cost of benefits provided to covered parties.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/ValueSet/v3-ActCoverageTypeCode
    """
    codeset: FhirUri = "http://terminology.hl7.org/ValueSet/v3-ActCoverageTypeCode"
