from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ActInvoiceGroupCode(GenericTypeCode):
    """
    v3.ActInvoiceGroupCode
    From: http://terminology.hl7.org/ValueSet/v3-ActInvoiceGroupCode in v3-codesystems.xml
         Type of invoice element that is used to assist in describing an Invoice that
    is either submitted for adjudication or for which is returned on adjudication
    results. Invoice elements of this type signify a grouping of one or more
    children (detail) invoice elements.  They do not have intrinsic costing
    associated with them, but merely reflect the sum of all costing for it's
    immediate children invoice elements.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/ValueSet/v3-ActInvoiceGroupCode
    """
    codeset: FhirUri = "http://terminology.hl7.org/ValueSet/v3-ActInvoiceGroupCode"
