from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ActReason(GenericTypeCode):
    """
    v3.ActReason
    From: http://terminology.hl7.org/ValueSet/v3-ActReason in v3-codesystems.xml
         A set of codes specifying the motivation, cause, or rationale of an Act, when
    such rationale is not reasonably represented as an ActRelationship of type
    "has reason" linking to another Act.  Examples:
    Example reasons that might qualify for being coded in this field might be:
    "routine requirement", "infectious disease reporting requirement", "on patient
    request", "required by law".
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/ValueSet/v3-ActReason
    """
    codeset: FhirUri = "http://terminology.hl7.org/ValueSet/v3-ActReason"
