from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ActRelationshipFulfills(GenericTypeCode):
    """
    v3.ActRelationshipFulfills
    From: http://terminology.hl7.org/ValueSet/v3-ActRelationshipFulfills in v3-codesystems.xml
         The source act fulfills (in whole or in part) the target act. Source act must
    be in a mood equal or more actual than the target act.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/ValueSet/v3-ActRelationshipFulfills
    """
    codeset: FhirUri = "http://terminology.hl7.org/ValueSet/v3-ActRelationshipFulfills"
