from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ActRelationshipPertains(GenericTypeCode):
    """
    v3.ActRelationshipPertains
    From: http://terminology.hl7.org/ValueSet/v3-ActRelationshipPertains in v3-codesystems.xml
         This is a very unspecific relationship from one item of clinical information
    to another.  It does not judge about the role the pertinent information plays.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/ValueSet/v3-ActRelationshipPertains
    """
    codeset: FhirUri = "http://terminology.hl7.org/ValueSet/v3-ActRelationshipPertains"
