from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class AddressPartType(GenericTypeCode):
    """
    v3.AddressPartType
    From: http://terminology.hl7.org/ValueSet/v3-AddressPartType in v3-codesystems.xml
          Description:
    Code that specifies whether an address part names the street, city, country,
    postal code, post box, etc. Discussion: The hierarchical nature of these
    concepts shows composition.  E.g. "Street Name" is part of "Street Address
    Line"
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/ValueSet/v3-AddressPartType
    """
    codeset: FhirUri = "http://terminology.hl7.org/ValueSet/v3-AddressPartType"
