from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ConfidentialityClassification(GenericTypeCode):
    """
    v3.ConfidentialityClassification
    From: http://terminology.hl7.org/ValueSet/v3-ConfidentialityClassification in v3-codesystems.xml
         Set of codes used to value Act.Confidentiality and Role.Confidentiality
    attribute in accordance with the definition for concept domain
    "Confidentiality".
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/ValueSet/v3-ConfidentialityClassification
    """
    codeset: FhirUri = (
        "http://terminology.hl7.org/ValueSet/v3-ConfidentialityClassification"
    )
