from __future__ import annotations


from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class DaysOfWeekCode(GenericTypeCode):
    """
    DaysOfWeek
    From: http://hl7.org/fhir/days-of-week in valuesets.xml
        The days of the week.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)


class DaysOfWeekCodeValues:
    """
    Monday.
    From: http://hl7.org/fhir/days-of-week in valuesets.xml
    """

    Monday = DaysOfWeekCode("mon")
    """
    Tuesday.
    From: http://hl7.org/fhir/days-of-week in valuesets.xml
    """
    Tuesday = DaysOfWeekCode("tue")
    """
    Wednesday.
    From: http://hl7.org/fhir/days-of-week in valuesets.xml
    """
    Wednesday = DaysOfWeekCode("wed")
    """
    Thursday.
    From: http://hl7.org/fhir/days-of-week in valuesets.xml
    """
    Thursday = DaysOfWeekCode("thu")
    """
    Friday.
    From: http://hl7.org/fhir/days-of-week in valuesets.xml
    """
    Friday = DaysOfWeekCode("fri")
    """
    Saturday.
    From: http://hl7.org/fhir/days-of-week in valuesets.xml
    """
    Saturday = DaysOfWeekCode("sat")
    """
    Sunday.
    From: http://hl7.org/fhir/days-of-week in valuesets.xml
    """
    Sunday = DaysOfWeekCode("sun")
