from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class EntityDeterminerDetermined(GenericTypeCode):
    """
    v3.EntityDeterminerDetermined
    From: http://terminology.hl7.org/ValueSet/v3-EntityDeterminerDetermined in v3-codesystems.xml
         The described determiner is used to indicate that the given Entity is taken
    as a general description of a kind of thing that can be taken in whole, in
    part, or in multiples.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/ValueSet/v3-EntityDeterminerDetermined
    """
    codeset: FhirUri = (
        "http://terminology.hl7.org/ValueSet/v3-EntityDeterminerDetermined"
    )
