from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class Hl7ApprovalStatus(GenericTypeCode):
    """
    v3.hl7ApprovalStatus
    From: http://terminology.hl7.org/ValueSet/v3-hl7ApprovalStatus in v3-codesystems.xml
          Description:
    Codes for concepts describing the approval level of HL7 artifacts.  This code
    system reflects the concepts expressed in HL7's Governance & Operations Manual
    (GOM) past and present.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/ValueSet/v3-hl7ApprovalStatus
    """
    codeset: FhirUri = "http://terminology.hl7.org/ValueSet/v3-hl7ApprovalStatus"
