from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class HL7StandardVersionCode(GenericTypeCode):
    """
    v3.HL7StandardVersionCode
    From: http://terminology.hl7.org/ValueSet/v3-HL7StandardVersionCode in v3-codesystems.xml
         This code system holds version codes for the Version 3 standards. Values are
    to be determined by HL7 and added with each new version of the HL7 Standard.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/ValueSet/v3-HL7StandardVersionCode
    """
    codeset: FhirUri = "http://terminology.hl7.org/ValueSet/v3-HL7StandardVersionCode"
