from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class HtmlLinkType(GenericTypeCode):
    """
    v3.HtmlLinkType
    From: http://terminology.hl7.org/ValueSet/v3-HtmlLinkType in v3-codesystems.xml
         HtmlLinkType values are drawn from HTML 4.0 and describe the relationship
    between the current document and the anchor that is the target of the link
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/ValueSet/v3-HtmlLinkType
    """
    codeset: FhirUri = "http://terminology.hl7.org/ValueSet/v3-HtmlLinkType"
