from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class MapRelationship(GenericTypeCode):
    """
    v3.MapRelationship
    From: http://terminology.hl7.org/ValueSet/v3-MapRelationship in v3-codesystems.xml
         The closeness or quality of the mapping between the HL7 concept (as
    represented by the HL7 concept identifier) and the source coding system. The
    values are patterned after the similar relationships used in the UMLS
    Metathesaurus. Because the HL7 coding sy
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/ValueSet/v3-MapRelationship
    """
    codeset: FhirUri = "http://terminology.hl7.org/ValueSet/v3-MapRelationship"
