from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class MilitaryRoleType(GenericTypeCode):
    """
    v3.MilitaryRoleType
    From: http://terminology.hl7.org/ValueSet/v3-MilitaryRoleType in v3-codesystems.xml
          Definition:
    A person playing the role of program eligible under a program based on
    military status.  Discussion:
    This CoveredPartyRoleType.code is typically used when the CoveredPartyRole
    class code is either "program eligible" or "subscriber" and the person's
    status as a member of the military meets jurisdictional or program criteria
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/ValueSet/v3-MilitaryRoleType
    """
    codeset: FhirUri = "http://terminology.hl7.org/ValueSet/v3-MilitaryRoleType"
