from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ObligationPolicy(GenericTypeCode):
    """
    v3.ObligationPolicy
    From: http://terminology.hl7.org/ValueSet/v3-ObligationPolicy in v3-codesystems.xml
         Conveys the mandated workflow action that an information custodian, receiver,
    or user must perform.  Examples:
      encrypt  Usage Note:
    Per OASIS XACML, an obligation is an operation specified in a policy or policy
    that is performed in conjunction with the enforcement of an access control
    decision.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/ValueSet/v3-ObligationPolicy
    """
    codeset: FhirUri = "http://terminology.hl7.org/ValueSet/v3-ObligationPolicy"
