from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ObservationCategory(GenericTypeCode):
    """
    v3.ObservationCategory
    From: http://terminology.hl7.org/ValueSet/v3-ObservationCategory in v3-codesystems.xml
         High level observation categories for the general type of observation being
    made. URL: http://hl7-fhir.github.io/valueset-observation-category.html This
    is an inline code system http://hl7.org/fhir/observation-category.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/ValueSet/v3-ObservationCategory
    """
    codeset: FhirUri = "http://terminology.hl7.org/ValueSet/v3-ObservationCategory"
