from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ObservationMethod(GenericTypeCode):
    """
    v3.ObservationMethod
    From: http://terminology.hl7.org/ValueSet/v3-ObservationMethod in v3-codesystems.xml
         A code that provides additional detail about the means or technique used to
    ascertain the observation.  Examples:
    Blood pressure measurement method: arterial puncture vs. sphygmomanometer
    (Riva-Rocci), sitting vs. supine position, etc.  OpenIssue:
    Description copied from Concept Domain of same name.  Must be verified.  Note
    that the Domain has a full discussion about use of the attribute and
    constraining that is not appropriate for the code system description.  Needs
    to be improved.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/ValueSet/v3-ObservationMethod
    """
    codeset: FhirUri = "http://terminology.hl7.org/ValueSet/v3-ObservationMethod"
