from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ObservationValue(GenericTypeCode):
    """
    v3.ObservationValue
    From: http://terminology.hl7.org/ValueSet/v3-ObservationValue in v3-codesystems.xml
         This domain is the root domain to which all HL7-recognized value sets for the
    Observation.value attribute will be linked when Observation.value has a coded
    data type.  OpenIssue:
    Description copied from Concept Domain of same name.  Must be corrected..
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/ValueSet/v3-ObservationValue
    """
    codeset: FhirUri = "http://terminology.hl7.org/ValueSet/v3-ObservationValue"
