from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class PersonalRelationshipRoleType(GenericTypeCode):
    """
    v3.PersonalRelationshipRoleType
    From: http://terminology.hl7.org/ValueSet/v3-PersonalRelationshipRoleType in v3-codesystems.xml
         Types of personal relationships between two living subjects.  Example:
    Parent, sibling, unrelated friend, neighbor
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/ValueSet/v3-PersonalRelationshipRoleType
    """
    codeset: FhirUri = (
        "http://terminology.hl7.org/ValueSet/v3-PersonalRelationshipRoleType"
    )
