from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class ProvenanceEventCurrentState_DC(GenericTypeCode):
    """
    v3.ProvenanceEventCurrentState-DC
    From: http://terminology.hl7.org/ValueSet/v3-ProvenanceEventCurrentState-DC in v3-codesystems.xml
         Specifies the state change of a target Act using DocuymentCompletion codes,
    from its previous state as a predecessor Act. For example, if the target Act
    is the result of a predecessor Act being "obsoleted" and replaced with the
    target Act, the source ProvenanceEventCurrentState Act code would be
    "obsoleted".
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/ValueSet/v3-ProvenanceEventCurrentState-DC
    """
    codeset: FhirUri = (
        "http://terminology.hl7.org/ValueSet/v3-ProvenanceEventCurrentState-DC"
    )
