from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class QueryResponse(GenericTypeCode):
    """
    v3.QueryResponse
    From: http://terminology.hl7.org/ValueSet/v3-QueryResponse in v3-codesystems.xml
         A code classifying the general nature of the response to a given query.
    Includes whether or not data was found, or whether an error occurred.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/ValueSet/v3-QueryResponse
    """
    codeset: FhirUri = "http://terminology.hl7.org/ValueSet/v3-QueryResponse"
