from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class RefrainPolicy(GenericTypeCode):
    """
    v3.RefrainPolicy
    From: http://terminology.hl7.org/ValueSet/v3-RefrainPolicy in v3-codesystems.xml
         Conveys prohibited actions which an information custodian, receiver, or user
    is not permitted to perform unless otherwise authorized or permitted under
    specified circumstances.  Examples:
      prohibit redisclosure without consent directive
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/ValueSet/v3-RefrainPolicy
    """
    codeset: FhirUri = "http://terminology.hl7.org/ValueSet/v3-RefrainPolicy"
