from __future__ import annotations


from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class VisionEyesCode(GenericTypeCode):
    """
    VisionEyes
    From: http://hl7.org/fhir/vision-eye-codes in valuesets.xml
        A coded concept listing the eye codes.
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)


class VisionEyesCodeValues:
    """
    Right Eye.
    From: http://hl7.org/fhir/vision-eye-codes in valuesets.xml
    """

    RightEye = VisionEyesCode("right")
    """
    Left Eye.
    From: http://hl7.org/fhir/vision-eye-codes in valuesets.xml
    """
    LeftEye = VisionEyesCode("left")
