from __future__ import annotations

from spark_auto_mapper_fhir.fhir_types.uri import FhirUri

from spark_auto_mapper_fhir.value_sets.generic_type import GenericTypeCode
from spark_auto_mapper.type_definitions.defined_types import AutoMapperTextInputType


# This file is auto-generated by generate_classes so do not edit manually
# noinspection PyPep8Naming
class WorkClassificationODH(GenericTypeCode):
    """
    v3.WorkClassificationODH
    From: http://terminology.hl7.org/ValueSet/v3-WorkClassificationODH in v3-codesystems.xml
         Code system of concepts representing a person's job type as defined by
    compensation and sector (e.g. paid vs. unpaid, self-employed vs. not self-
    employed, government vs. private, etc.).
    """

    def __init__(self, value: AutoMapperTextInputType):
        super().__init__(value=value)

    """
    http://terminology.hl7.org/ValueSet/v3-WorkClassificationODH
    """
    codeset: FhirUri = "http://terminology.hl7.org/ValueSet/v3-WorkClassificationODH"
